SOPLEX(1)

NAME
soplex - solve linear programming problems

SYNOPSIS
soplex [options] lpfile

OPTIONS

lpfile
    linear program as .mps[.gz] or .lp[.gz] file.

  General options

--readbas=basfile
    read starting basis from file

--writebas=basfile
    write terminal basis to file

--writefile=lpfile
    write LP to file in LP or MPS format depending on extension

--writedual=lpfile
    write the dual LP to a file in LP or MPS format depending on extension

--type:name=val
    change parameter value using syntax of settings file entries

--loadset=setfile
    load parameters from settings file (overrules by command line parameters)

--saveset=setfile
    save parameters to settings file

--diffset=setfile
    save modified parameters to settings file

--extsol=value
    external solution for soplex to use for validation

  Limits and tolerances

-ts set time limit to s seconds

-in set iteration limit to n

-feps
    set primal feasibility tolerance to eps

-oeps
    set dual feasibility (optimality) tolerance to eps

-leps
    set validation tolerance to eps

  Algorithmic settings
Default settings are marked with *

--readmode=value
    choose reading mode for lpfile (0* - floating point, 1 - rational)

--solvemode=value
    choose solving mode (0 - floating-point solve, 1* - auto, 2 - force iterative refinement)

--arithmetic=value
    choose base arithmetic type (0 - double, 1 - quadprecision, 2 - higher multiprecision)

--precision=value
    choose precision for multiprecision solve (only active when arithmetic=2, possible values are 50, 100, and 200)

-svalue
    choose simplifier/presolver (0 - off, 1* - internal)

-gvalue
    choose scaling (0 - off, 1 - uni-equilibrium, 2* - bi-equilibrium, 3 - geometric, 4 - iterated geometrix, 5 - least squares, 6 - geometric-equilibrium)

-pvalue
    choose pricing (0* - auto, 1 - dantzig, 2 - parmult, 3 - devex, 4 - quicksteep, 5 - steep)

-rvalue
    choose ratio tester (0 - textbook, 1 - harris, 2 - fast, 3* - boundflipping)

  Display options

-vlevel
    set verbosity to level (0 - error, 3 - normal, 5 - high)

-x  print primal solution

-y  print dual multipliers

-X  print primal solution in rational numbers

-Y  print dual multipliers in rational numbers

-q  display detailed statistics

-c  perform final check of optimal solution in original problem